RV32I:
  ADD:
    branch: false
    delay: 1
    encoding: 51
    index: 27
    mask: 4261441663
    size: 32
  ADDI:
    branch: false
    delay: 1
    encoding: 19
    index: 18
    mask: 28799
    size: 32
  AND:
    branch: false
    delay: 1
    encoding: 28723
    index: 36
    mask: 4261441663
    size: 32
  ANDI:
    branch: false
    delay: 1
    encoding: 28691
    index: 23
    mask: 28799
    size: 32
  AUIPC:
    branch: false
    delay: 1
    encoding: 23
    index: 1
    mask: 127
    size: 32
  BEQ:
    branch: true
    delay:
    - 1
    - 2
    encoding: 99
    index: 4
    mask: 28799
    size: 32
  BGE:
    branch: true
    delay:
    - 1
    - 2
    encoding: 20579
    index: 7
    mask: 28799
    size: 32
  BGEU:
    branch: true
    delay:
    - 1
    - 2
    encoding: 28771
    index: 9
    mask: 28799
    size: 32
  BLT:
    branch: true
    delay:
    - 1
    - 2
    encoding: 16483
    index: 6
    mask: 28799
    size: 32
  BLTU:
    branch: true
    delay:
    - 1
    - 2
    encoding: 24675
    index: 8
    mask: 28799
    size: 32
  BNE:
    branch: true
    delay:
    - 1
    - 2
    encoding: 4195
    index: 5
    mask: 28799
    size: 32
  EBREAK:
    attributes:
    - - name:no_cont
    branch: false
    delay: 3
    encoding: 1048691
    index: 39
    mask: 4294967295
    size: 32
  ECALL:
    attributes:
    - - name:no_cont
    branch: false
    delay: 1
    encoding: 115
    index: 38
    mask: 4294967295
    size: 32
  FENCE:
    branch: false
    delay: 1
    encoding: 15
    index: 37
    mask: 28799
    size: 32
  JAL:
    branch: true
    delay: 2
    encoding: 111
    index: 2
    mask: 127
    size: 32
  JALR:
    branch: true
    delay: 2
    encoding: 103
    index: 3
    mask: 28799
    size: 32
  LB:
    branch: false
    delay: 2
    encoding: 3
    index: 10
    mask: 28799
    size: 32
  LBU:
    branch: false
    delay: 2
    encoding: 16387
    index: 13
    mask: 28799
    size: 32
  LH:
    branch: false
    delay: 2
    encoding: 4099
    index: 11
    mask: 28799
    size: 32
  LHU:
    branch: false
    delay: 2
    encoding: 20483
    index: 14
    mask: 28799
    size: 32
  LUI:
    branch: false
    delay: 1
    encoding: 55
    index: 0
    mask: 127
    size: 32
  LW:
    branch: false
    delay: 2
    encoding: 8195
    index: 12
    mask: 28799
    size: 32
  MRET:
    attributes:
    - - name:no_cont
    branch: false
    delay: 2
    encoding: 807403635
    index: 40
    mask: 4294967295
    size: 32
  OR:
    branch: false
    delay: 1
    encoding: 24627
    index: 35
    mask: 4261441663
    size: 32
  ORI:
    branch: false
    delay: 1
    encoding: 24595
    index: 22
    mask: 28799
    size: 32
  SB:
    branch: false
    delay: 1
    encoding: 35
    index: 15
    mask: 28799
    size: 32
  SH:
    branch: false
    delay: 1
    encoding: 4131
    index: 16
    mask: 28799
    size: 32
  SLL:
    branch: false
    delay: X_24:20
    encoding: 4147
    index: 29
    mask: 4261441663
    size: 32
  SLLI:
    branch: false
    delay: u_24:20
    encoding: 4115
    index: 24
    mask: 4261441663
    size: 32
  SLT:
    branch: false
    delay: 1
    encoding: 8243
    index: 30
    mask: 4261441663
    size: 32
  SLTI:
    branch: false
    delay: 1
    encoding: 8211
    index: 19
    mask: 28799
    size: 32
  SLTIU:
    branch: false
    delay: 1
    encoding: 12307
    index: 20
    mask: 28799
    size: 32
  SLTU:
    branch: false
    delay: 1
    encoding: 12339
    index: 31
    mask: 4261441663
    size: 32
  SRA:
    branch: false
    delay: X_24:20
    encoding: 1073762355
    index: 34
    mask: 4261441663
    size: 32
  SRAI:
    branch: false
    delay: u_24:20
    encoding: 1073762323
    index: 26
    mask: 4261441663
    size: 32
  SRL:
    branch: false
    delay: X_24:20
    encoding: 20531
    index: 33
    mask: 4261441663
    size: 32
  SRLI:
    branch: false
    delay: u_24:20
    encoding: 20499
    index: 25
    mask: 4261441663
    size: 32
  SUB:
    branch: false
    delay: 1
    encoding: 1073741875
    index: 28
    mask: 4261441663
    size: 32
  SW:
    branch: false
    delay: 1
    encoding: 8227
    index: 17
    mask: 28799
    size: 32
  WFI:
    branch: false
    delay: 1
    encoding: 273678451
    index: 41
    mask: 4294967295
    size: 32
  XOR:
    branch: false
    delay: 1
    encoding: 16435
    index: 32
    mask: 4261441663
    size: 32
  XORI:
    branch: false
    delay: 1
    encoding: 16403
    index: 21
    mask: 28799
    size: 32
RV32M:
  DIV:
    branch: false
    delay: 33
    encoding: 33570867
    index: 53
    mask: 4261441663
    size: 32
  DIVU:
    branch: false
    delay: 33
    encoding: 33574963
    index: 54
    mask: 4261441663
    size: 32
  MUL:
    branch: false
    delay: 32
    encoding: 33554483
    index: 49
    mask: 4261441663
    size: 32
  MULH:
    branch: false
    delay: 32
    encoding: 33558579
    index: 50
    mask: 4261441663
    size: 32
  MULHSU:
    branch: false
    delay: 32
    encoding: 33562675
    index: 51
    mask: 4261441663
    size: 32
  MULHU:
    branch: false
    delay: 32
    encoding: 33566771
    index: 52
    mask: 4261441663
    size: 32
  REM:
    branch: false
    delay: 33
    encoding: 33579059
    index: 55
    mask: 4261441663
    size: 32
  REMU:
    branch: false
    delay: 33
    encoding: 33583155
    index: 56
    mask: 4261441663
    size: 32
Zca:
  C__ADD:
    branch: false
    delay: 1
    encoding: 36866
    index: 82
    mask: 61443
    size: 16
  C__ADDI:
    branch: false
    delay: 1
    encoding: 1
    index: 60
    mask: 57347
    size: 16
  C__ADDI16SP:
    branch: false
    delay: 1
    encoding: 24833
    index: 65
    mask: 61315
    size: 16
  C__ADDI4SPN:
    branch: false
    delay: 1
    encoding: 0
    index: 57
    mask: 57347
    size: 16
  C__AND:
    branch: false
    delay: 1
    encoding: 35937
    index: 73
    mask: 64611
    size: 16
  C__ANDI:
    branch: false
    delay: 1
    encoding: 34817
    index: 69
    mask: 60419
    size: 16
  C__BEQZ:
    branch: true
    delay:
    - 1
    - 2
    encoding: 49153
    index: 75
    mask: 57347
    size: 16
  C__BNEZ:
    branch: true
    delay:
    - 1
    - 2
    encoding: 57345
    index: 76
    mask: 57347
    size: 16
  C__EBREAK:
    branch: false
    delay: 3
    encoding: 36866
    index: 84
    mask: 65535
    size: 16
  C__J:
    branch: true
    delay: 1
    encoding: 40961
    index: 74
    mask: 57347
    size: 16
  C__JAL:
    attributes:
    - - name:enable
      - value:1
    branch: true
    delay: 1
    encoding: 8193
    index: 62
    mask: 57347
    size: 16
  C__JALR:
    branch: true
    delay: 1
    encoding: 36866
    index: 83
    mask: 61567
    size: 16
  C__JR:
    branch: true
    delay: 1
    encoding: 32770
    index: 80
    mask: 61567
    size: 16
  C__LI:
    branch: false
    delay: 1
    encoding: 16385
    index: 63
    mask: 57347
    size: 16
  C__LUI:
    branch: false
    delay: 1
    encoding: 24577
    index: 64
    mask: 57347
    size: 16
  C__LW:
    branch: false
    delay: 2
    encoding: 16384
    index: 58
    mask: 57347
    size: 16
  C__LWSP:
    branch: false
    delay: 2
    encoding: 16386
    index: 78
    mask: 57347
    size: 16
  C__MV:
    branch: false
    delay: 1
    encoding: 32770
    index: 79
    mask: 61443
    size: 16
  C__NOP:
    branch: false
    delay: 1
    encoding: 1
    index: 61
    mask: 61315
    size: 16
  C__OR:
    branch: false
    delay: 1
    encoding: 35905
    index: 72
    mask: 64611
    size: 16
  C__SLLI:
    attributes:
    - - name:enable
      - value:1
    branch: false
    delay: u_12:12*16+u_6:2
    encoding: 2
    index: 77
    mask: 61443
    size: 16
  C__SRAI:
    attributes:
    - - name:enable
      - value:1
    branch: false
    delay: u_12:12*16+u_6:2
    encoding: 33793
    index: 68
    mask: 64515
    size: 16
  C__SRLI:
    attributes:
    - - name:enable
      - value:1
    branch: false
    delay: u_12:12*16+u_6:2
    encoding: 32769
    index: 67
    mask: 64515
    size: 16
  C__SUB:
    branch: false
    delay: 1
    encoding: 35841
    index: 70
    mask: 64611
    size: 16
  C__SW:
    branch: false
    delay: 1
    encoding: 49152
    index: 59
    mask: 57347
    size: 16
  C__SWSP:
    branch: false
    delay: 1
    encoding: 49154
    index: 85
    mask: 57347
    size: 16
  C__XOR:
    branch: false
    delay: 1
    encoding: 35873
    index: 71
    mask: 64611
    size: 16
  DII:
    branch: false
    delay: 1
    encoding: 0
    index: 86
    mask: 65535
    size: 16
  __reserved_clui:
    branch: false
    delay: 1
    encoding: 24577
    index: 66
    mask: 61567
    size: 16
  __reserved_cmv:
    branch: false
    delay: 1
    encoding: 32770
    index: 81
    mask: 65535
    size: 16
Zicsr:
  CSRRC:
    branch: false
    delay: 1
    encoding: 12403
    index: 44
    mask: 28799
    size: 32
  CSRRCI:
    branch: false
    delay: 1
    encoding: 28787
    index: 47
    mask: 28799
    size: 32
  CSRRS:
    branch: false
    delay: 1
    encoding: 8307
    index: 43
    mask: 28799
    size: 32
  CSRRSI:
    branch: false
    delay: 1
    encoding: 24691
    index: 46
    mask: 28799
    size: 32
  CSRRW:
    branch: false
    delay: 1
    encoding: 4211
    index: 42
    mask: 28799
    size: 32
  CSRRWI:
    branch: false
    delay: 1
    encoding: 20595
    index: 45
    mask: 28799
    size: 32
Zifencei:
  FENCE_I:
    attributes:
    - - name:flush
    branch: false
    delay: 1
    encoding: 4111
    index: 48
    mask: 28799
    size: 32
